
struct AudioPlayerSettingsFile: Codable {

    let playlistCoverImageSize: Int

    let smallCoverImageSize: Int

    let audioPlayerJsFile: String?

    let audioPlayerCssFile: String?

    let german: LocalizedAudioPlayerSettingsFile

    let english: LocalizedAudioPlayerSettingsFile
}

struct LocalizedAudioPlayerSettingsFile: Codable {

    let playlistText: String
}

extension AudioPlayerSettingsFile: LocalizedItem {

}
