
struct LocalizedPageSettingsFile {

    let emptyPageTitle: String

    let emptyPageText: String

    init(emptyPageTitle: String, emptyPageText: String) {
        self.emptyPageTitle = emptyPageTitle
        self.emptyPageText = emptyPageText
    }
}

extension LocalizedPageSettingsFile: Codable {

}

extension LocalizedPageSettingsFile {

    static var `default`: LocalizedPageSettingsFile {
        .init(emptyPageTitle: "Empty Page", emptyPageText: "This page is empty.")
    }
}
